Part Point: Difference between revisions

From FreeCAD Documentation
(GuiCommand)
(Marked this version for translation)
 
(One intermediate revision by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 21: Line 20:
}}
}}


== Description ==
== Description == <!--T:12-->


<!--T:2-->
<!--T:2-->
Line 28: Line 27:
==Usage== <!--T:9-->
==Usage== <!--T:9-->


<!--T:13-->
See [[Part_Primitives#Usage|Part Primitives]].
See [[Part_Primitives#Usage|Part Primitives]].


== Properties ==
== Properties == <!--T:14-->


<!--T:15-->
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


<!--T:16-->
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Point object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data === <!--T:17-->


<!--T:18-->
{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}


<!--T:19-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


<!--T:20-->
{{TitleProperty|Base}}
{{TitleProperty|Base}}


<!--T:21-->
* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|X|Distance}}: The X coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Y|Distance}}: The Y coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: The Z coordinate of the point. The default is {{Value|0mm}}.


== Scripting ==
== Scripting == <!--T:22-->


<!--T:23-->
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:24-->
A Part Point can be created with the {{Incode|addObject()}} method of the document:
A Part Point can be created with the {{Incode|addObject()}} method of the document:


Line 60: Line 68:
<translate>
<translate>


<!--T:25-->
* Where {{Incode|"myPoint"}} is the name for the object.
* Where {{Incode|"myPoint"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:26-->
Example:
Example:



Latest revision as of 10:27, 3 March 2022

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Point is a parametric point that can be created with the Part Primitives command. Its coordinates are relative to the coordinate system defined by its DataPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DataX (Distance): The X coordinate of the point. The default is 0mm.
  • DataY (Distance): The Y coordinate of the point. The default is 0mm.
  • DataZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()